Bug 1184519 - (CVE-2021-20294) VUL-0: CVE-2021-20294: binutils: readelf: out-of-bounds write in print_dynamic_symbol
(CVE-2021-20294)
VUL-0: CVE-2021-20294: binutils: readelf: out-of-bounds write in print_dynami...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/280541/
CVSSv3.1:SUSE:CVE-2021-20294:7.0:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-08 16:19 UTC by Wolfgang Frisch
Modified: 2022-04-15 09:57 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2021-04-08 16:19:57 UTC
CVE-2021-20294

A flaw was found in binutils' readelf program. An attacker who is able to convince a victim using readelf to read a crafted file, could trigger a stack buffer overflow, out-of-bounds write of arbitrary data supplied by the attacker. The highest impact of this flaw is to confidentiality, integrity, and availability.

References:
https://sourceware.org/bugzilla/show_bug.cgi?id=26929
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-20294
https://access.redhat.com/security/cve/CVE-2021-20294
Comment 1 Wolfgang Frisch 2021-04-08 16:30:07 UTC
SUSE:Carwos:1                    Affected
SUSE:SLE-11-SP1:Update:Teradata  Not affected [1]
SUSE:SLE-11-SP3:Update           Not affected [1]
SUSE:SLE-11-SP4:Update           Not affected [1]
SUSE:SLE-12:Update               Not affected [1]
SUSE:SLE-15:Update               Affected
SUSE:SLE-15-SP1:Update           Affected

[1] introduced 2020-07-02 with commit "Change readelf's display of symbol names"
Comment 2 Wolfgang Frisch 2021-04-08 16:30:37 UTC
Fixed upstream:
https://sourceware.org/bugzilla/show_bug.cgi?id=26929#c1
Comment 3 Simon Logan 2021-09-23 11:14:15 UTC
At 2021-04-08 16:30:07 UTC @Wolfgang Frisch found SUSE:SLE-15:Update and SUSE:SLE-15-SP1:Update were affected. Will you be fixing this in Leap 15.2 or 15.3?

Thanks,
Simon
Comment 4 Michael Matz 2021-09-23 15:06:18 UTC
We are currently preparing a version update for SLE-15:Update, which is then going to be propagated to all the other sle15 based codestreams.  That will
include a fix.  I'm currently guessing that this will land somewhen in October.
Comment 5 Simon Logan 2021-09-23 16:20:15 UTC
(In reply to Michael Matz from comment #4)
> We are currently preparing a version update for SLE-15:Update, which is then
> going to be propagated to all the other sle15 based codestreams.  That will
> include a fix.  I'm currently guessing that this will land somewhen in
> October.

Excellent, thanks for the update Michael.

Simon
Comment 6 Marcus Meissner 2021-11-08 15:15:42 UTC
was it fixed with the updates micha? the bug was not metnione4d
Comment 7 Michael Matz 2021-11-08 15:35:52 UTC
Gah, yes, this is included as well, just not mentioned in .changes.
I'll mention it now.
Comment 10 Swamp Workflow Management 2021-11-09 17:18:10 UTC
SUSE-SU-2021:3637-1: An update that solves one vulnerability and has four fixes is now available.

Category: security (moderate)
Bug References: 1183909,1184519,1188941,1191473,1192267
CVE References: CVE-2021-20294
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    binutils-2.37-9.44.1
SUSE OpenStack Cloud Crowbar 8 (src):    binutils-2.37-9.44.1
SUSE OpenStack Cloud 9 (src):    binutils-2.37-9.44.1
SUSE OpenStack Cloud 8 (src):    binutils-2.37-9.44.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    binutils-2.37-9.44.1, cross-ppc-binutils-2.37-9.44.1, cross-spu-binutils-2.37-9.44.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    binutils-2.37-9.44.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    binutils-2.37-9.44.1
SUSE Linux Enterprise Server 12-SP5 (src):    binutils-2.37-9.44.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    binutils-2.37-9.44.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    binutils-2.37-9.44.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    binutils-2.37-9.44.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    binutils-2.37-9.44.1
HPE Helion Openstack 8 (src):    binutils-2.37-9.44.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-11-09 23:16:52 UTC
openSUSE-SU-2021:3643-1: An update that solves one vulnerability and has four fixes is now available.

Category: security (moderate)
Bug References: 1183909,1184519,1188941,1191473,1192267
CVE References: CVE-2021-20294
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    binutils-2.37-7.26.1, cross-aarch64-binutils-2.37-7.26.1, cross-arm-binutils-2.37-7.26.1, cross-avr-binutils-2.37-7.26.1, cross-epiphany-binutils-2.37-7.26.1, cross-hppa-binutils-2.37-7.26.1, cross-hppa64-binutils-2.37-7.26.1, cross-i386-binutils-2.37-7.26.1, cross-ia64-binutils-2.37-7.26.1, cross-m68k-binutils-2.37-7.26.1, cross-mips-binutils-2.37-7.26.1, cross-ppc-binutils-2.37-7.26.1, cross-ppc64-binutils-2.37-7.26.1, cross-ppc64le-binutils-2.37-7.26.1, cross-riscv64-binutils-2.37-7.26.1, cross-rx-binutils-2.37-7.26.1, cross-s390-binutils-2.37-7.26.1, cross-s390x-binutils-2.37-7.26.1, cross-sparc-binutils-2.37-7.26.1, cross-sparc64-binutils-2.37-7.26.1, cross-spu-binutils-2.37-7.26.1, cross-x86_64-binutils-2.37-7.26.1
Comment 12 Swamp Workflow Management 2021-11-09 23:18:48 UTC
SUSE-SU-2021:3643-1: An update that solves one vulnerability and has four fixes is now available.

Category: security (moderate)
Bug References: 1183909,1184519,1188941,1191473,1192267
CVE References: CVE-2021-20294
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    binutils-2.37-7.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    binutils-2.37-7.26.1
SUSE Enterprise Storage 6 (src):    binutils-2.37-7.26.1
SUSE CaaS Platform 4.0 (src):    binutils-2.37-7.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-11-15 14:22:24 UTC
openSUSE-SU-2021:1475-1: An update that solves 14 vulnerabilities, contains four features and has 5 fixes is now available.

Category: security (moderate)
Bug References: 1179898,1179899,1179900,1179901,1179902,1179903,1180451,1180454,1180461,1181452,1182252,1183511,1183909,1184519,1184620,1184794,1188941,1191473,1192267
CVE References: CVE-2020-16590,CVE-2020-16591,CVE-2020-16592,CVE-2020-16593,CVE-2020-16598,CVE-2020-16599,CVE-2020-35448,CVE-2020-35493,CVE-2020-35496,CVE-2020-35507,CVE-2021-20197,CVE-2021-20284,CVE-2021-20294,CVE-2021-3487
JIRA References: PM-2767,SLE-18637,SLE-19618,SLE-21561
Sources used:
openSUSE Leap 15.2 (src):    binutils-2.37-lp152.4.9.1, bpftrace-0.11.4-lp152.2.7.1, cross-aarch64-binutils-2.37-lp152.4.9.1, cross-arm-binutils-2.37-lp152.4.9.1, cross-avr-binutils-2.37-lp152.4.9.1, cross-epiphany-binutils-2.37-lp152.4.9.1, cross-hppa-binutils-2.37-lp152.4.9.1, cross-hppa64-binutils-2.37-lp152.4.9.1, cross-i386-binutils-2.37-lp152.4.9.1, cross-ia64-binutils-2.37-lp152.4.9.1, cross-m68k-binutils-2.37-lp152.4.9.1, cross-mips-binutils-2.37-lp152.4.9.1, cross-ppc-binutils-2.37-lp152.4.9.1, cross-ppc64-binutils-2.37-lp152.4.9.1, cross-ppc64le-binutils-2.37-lp152.4.9.1, cross-riscv64-binutils-2.37-lp152.4.9.1, cross-rx-binutils-2.37-lp152.4.9.1, cross-s390-binutils-2.37-lp152.4.9.1, cross-s390x-binutils-2.37-lp152.4.9.1, cross-sparc-binutils-2.37-lp152.4.9.1, cross-sparc64-binutils-2.37-lp152.4.9.1, cross-spu-binutils-2.37-lp152.4.9.1, cross-xtensa-binutils-2.37-lp152.4.9.1
Comment 14 Swamp Workflow Management 2022-03-22 14:19:24 UTC
SUSE-SU-2022:0934-1: An update that solves 14 vulnerabilities, contains four features and has 5 fixes is now available.

Category: security (moderate)
Bug References: 1179898,1179899,1179900,1179901,1179902,1179903,1180451,1180454,1180461,1181452,1182252,1183511,1183909,1184519,1184620,1184794,1188941,1191473,1192267
CVE References: CVE-2020-16590,CVE-2020-16591,CVE-2020-16592,CVE-2020-16593,CVE-2020-16598,CVE-2020-16599,CVE-2020-35448,CVE-2020-35493,CVE-2020-35496,CVE-2020-35507,CVE-2021-20197,CVE-2021-20284,CVE-2021-20294,CVE-2021-3487
JIRA References: PM-2767,SLE-18637,SLE-19618,SLE-21561
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    binutils-2.37-6.23.1
SUSE Linux Enterprise Server 15-LTSS (src):    binutils-2.37-6.23.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    binutils-2.37-6.23.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    binutils-2.37-6.23.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Wolfgang Frisch 2022-03-31 15:32:01 UTC
Released.
Comment 16 Gianluca Gabrielli 2022-04-15 09:57:15 UTC
done